gi-harfbuzz-0.0.10: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.HarfBuzz.Unions.VarNumT

Contents

- Exported types
- Methods
- Properties
  - f
  - i32
  - u32

Description

No description available in the introspection data.

Synopsis

- newtype VarNumT = VarNumT (ManagedPtr VarNumT)
- newZeroVarNumT :: MonadIO m => m VarNumT
- getVarNumTF :: MonadIO m => VarNumT -> m Float
- setVarNumTF :: MonadIO m => VarNumT -> Float -> m ()
- getVarNumTI32 :: MonadIO m => VarNumT -> m Int32
- setVarNumTI32 :: MonadIO m => VarNumT -> Int32 -> m ()
- getVarNumTU32 :: MonadIO m => VarNumT -> m Word32
- setVarNumTU32 :: MonadIO m => VarNumT -> Word32 -> m ()

# Exported types

newtype VarNumT Source #

Memory-managed wrapper type.

Constructors

VarNumT (ManagedPtr VarNumT) |

#### Instances

Instances details

Eq VarNumT Source # |
Instance details Defined in GI.HarfBuzz.Unions.VarNumT Methods (==) :: VarNumT -> VarNumT -> Bool Source # (/=) :: VarNumT -> VarNumT -> Bool Source #
BoxedPtr VarNumT Source # |
Instance details Defined in GI.HarfBuzz.Unions.VarNumT Methods boxedPtrCopy :: VarNumT -> IO VarNumT Source # boxedPtrFree :: VarNumT -> IO () Source #
CallocPtr VarNumT Source # |
Instance details Defined in GI.HarfBuzz.Unions.VarNumT Methods boxedPtrCalloc :: IO (Ptr VarNumT) Source #
ManagedPtrNewtype VarNumT Source # |
Instance details Defined in GI.HarfBuzz.Unions.VarNumT Methods toManagedPtr :: VarNumT -> ManagedPtr VarNumT Source #
tag ~ 'AttrSet => Constructible VarNumT tag Source # |
Instance details Defined in GI.HarfBuzz.Unions.VarNumT Methods new :: MonadIO m => (ManagedPtr VarNumT -> VarNumT) -> [AttrOp VarNumT tag] -> m VarNumT Source #

newZeroVarNumT :: MonadIO m => m VarNumT Source #

Construct a `VarNumT` struct initialized to zero.

# Methods

# Properties

## f

No description available in the introspection data.

getVarNumTF :: MonadIO m => VarNumT -> m Float Source #

Get the value of the “`f`” field. When overloading is enabled, this is equivalent to

    get varNumT #f

setVarNumTF :: MonadIO m => VarNumT -> Float -> m () Source #

Set the value of the “`f`” field. When overloading is enabled, this is equivalent to

    set varNumT [ #f := value ]

## i32

No description available in the introspection data.

getVarNumTI32 :: MonadIO m => VarNumT -> m Int32 Source #

Get the value of the “`i32`” field. When overloading is enabled, this is equivalent to

    get varNumT #i32

setVarNumTI32 :: MonadIO m => VarNumT -> Int32 -> m () Source #

Set the value of the “`i32`” field. When overloading is enabled, this is equivalent to

    set varNumT [ #i32 := value ]

## u32

No description available in the introspection data.

getVarNumTU32 :: MonadIO m => VarNumT -> m Word32 Source #

Get the value of the “`u32`” field. When overloading is enabled, this is equivalent to

    get varNumT #u32

setVarNumTU32 :: MonadIO m => VarNumT -> Word32 -> m () Source #

Set the value of the “`u32`” field. When overloading is enabled, this is equivalent to

    set varNumT [ #u32 := value ]